1 Reply Latest reply: Sep 28, 2011 10:31 PM by phrelin RSS

    Firefox 7 update message says addon not compatible with version

    phrelin

      Is there support for Firefox 7, and for that matter Firefox 8?